routes/web.php
Route::namespace('Administrator')->prefix('administrator')->name('administrator.')
    ->middleware('can:administration')->group(function () {
        Route::resource('/administrator', 'AdministratorController',
            [
                'except' => []
            ]);
    });

Route::namespace('Roles')->prefix('roles')->name('roles.')
    ->middleware('can:administration')->group(function () {
        Route::resource('/roles', 'RolesController',
            [
                'except' => []
            ]);
    });

Route::namespace('Tags')->prefix('tags')->name('tags.')
    ->middleware('can:administration')->group(function () {
        Route::resource('/keywords', 'KeywordsController',
            [
                'except' => []
            ]);
    });

Route::namespace('Tags')->prefix('tags')->name('tags.')
    ->middleware('can:administration')->group(function () {
        Route::resource('/tags', 'TagsController',
            [
                'except' => []
            ]);
    });

Route::namespace('Tags')->prefix('tags')->name('tags.')
    ->middleware('can:administration')->group(function () {
        Route::resource('/index', 'IndexTagsController',
            [
                'except' => []
            ]);
    });

Route::namespace('Recipes')->prefix('recipes')->name('recipes.')
    ->middleware('can:administration')->group(function () {
        Route::get('/recipes/{recipes:slug}', 'RecipesController@show');
    });

Route::namespace('Recipes')->prefix('recipes')->name('recipes.')
    ->middleware('can:administration')->group(function () {
        Route::resource('/recipes', 'RecipesController',
            [
                'except' => []
            ]);
    });

Route::namespace('Recipes')->prefix('recipes')->name('recipes.')
    ->middleware('can:administration')->group(function () {
        Route::resource('/posts', 'ProductsController',
            [
                'except' => []
            ]);
    });;
//
//Route::namespace('Recipes')->prefix('recipes')->name('recipes.')
//    ->middleware('can:administration')->group(function (){
//        Route::get('/types/{type:slug}', 'TypesController@show');
//    });

Route::namespace('Recipes')->prefix('recipes')->name('recipes.')
    ->middleware('can:administration')->group(function () {
        Route::resource('/types', 'TypesController',
            [
                'except' => []
            ]);
    });

Route::namespace('Drafts')->prefix('drafts')->name('drafts.')
    ->middleware('can:administration')->group(function () {
        Route::get('/recipes/{recipe:slug|id}', 'DraftRecipesController@show');
    });

Route::namespace('Drafts')->prefix('drafts')->name('drafts.')
    ->middleware('can:administration')->group(function () {
        Route::resource('/recipes', 'DraftRecipesController',
            [
                'except' => []
            ]);
    });

Route::namespace('Drafts')->prefix('drafts')->name('drafts.')
    ->middleware('can:administration')->group(function () {
        Route::resource('/types', 'DraftsTypesController',
            [
                'except' => []
            ]);
    });

Route::namespace('Drafts')->prefix('drafts')->name('drafts.')
    ->middleware('can:administration')->group(function () {
        Route::resource('/posts', 'DraftProductsController',
            [
                'except' => []
            ]);
    });

Route::namespace('Users')->prefix('users')->name('users.')
    ->middleware('can:administration')->group(function () {
        Route::resource('/users', 'UsersController',
            [
                'except' => []
            ]);
    });

Route::namespace('Users')->prefix('users')->name('users.')
    ->middleware('can:administration')->group(function () {
        Route::resource('/password', 'PasswordController',
            [
                'except' => []
            ]);
    });

Route::namespace('Users')->prefix('users')->name('users.')
    ->middleware('can:administration')->group(function () {
        Route::resource('/profile', 'ProfilesController',
            [
                'except' => []
            ]);
    });

Route::namespace('Home')->prefix('home')->name('home.')
    ->middleware('can:administration')->group(function () {
        Route::resource('/home', 'HomeController',
            [
                'except' => []
            ]);
    });

//Route::namespace('Home')->prefix('home')->name('home.')
//    ->middleware('can:administration')->group(function (){
//    Route::resource('/contacts', 'ContactUsController',
//        [
//            'except' => []
//        ]);
//});

Route::namespace('Images')->prefix('images')->name('images.')
    ->middleware('can:administration')->group(function () {
        Route::resource('/images', 'ImagesController',
            [
                'except' => []
            ]);
    });

Route::namespace('Ratings')->prefix('ratings')->name('ratings.')
    ->middleware('can:administration')->group(function () {
        Route::resource('/ratings', 'RatingsController',
            [
                'except' => []
            ]);
    });

Route::namespace('Ratings')->prefix('ratings')->name('ratings.')
    ->middleware('can:administration')->group(function () {
        Route::resource('/values', 'RatingValuesController',
            [
                'except' => []
            ]);
    });

Route::namespace('Comments')->prefix('comments')->name('comments.')
    ->middleware('can:administration')->group(function () {
        Route::resource('/comments', 'CommentsController',
            [
                'except' => []
            ]);
    });

Route::namespace('Comments')->prefix('comments')->name('comments.')
    ->middleware('can:administration')->group(function () {
        Route::resource('/values', 'RatingCommentsValuesController',
            [
                'except' => []
            ]);
    });

Route::namespace('Books')->prefix('books')->name('books.')
    ->middleware('can:administration')->group(function () {
        Route::get('/books/create', 'BooksController@create');
    });

Route::namespace('Books')->prefix('books')->name('books.')
    ->middleware('can:administration')->group(function () {
        Route::get('/books/{books:slug}', 'BooksController@show');
    });

Route::namespace('Books')->prefix('books')->name('books.')
    ->middleware('can:administration')->group(function () {
        Route::resource('/books', 'BooksController',
            [
                'except' => []
            ]);
    });

Route::namespace('Books')->prefix('books')->name('books.')
    ->middleware('can:administration')->group(function () {
        Route::resource('/buy', 'BuyFromController',
            [
                'except' => []
            ]);
    });

Route::namespace('Subscribers')->prefix('subscribers')->name('subscribers.')
    ->middleware('can:administration')->group(function () {
        Route::resource('/subscribers', 'SubscribersController',
            [
                'except' => []
            ]);
    });


/*
 * Publish routes
 */


Route::namespace('Drafts')->prefix('drafts')->name('drafts.')
    ->middleware('can:administration')->group(function () {
        Route::resource('/publish', 'PublishController',
            [
                'except' => ['index', 'show', 'edit', 'destroy', 'create', 'store']
            ]);
    });

Route::namespace('Drafts')->prefix('drafts')->name('drafts.')
    ->middleware('can:administration')->group(function () {
        Route::resource('/preparing', 'PreparingController',
            [
                'except' => ['index', 'show', 'edit', 'destroy', 'create', 'store']
            ]);
    });


Route::group(['middleware' => ['can:administration', 'archive']], function () {

        Route::get('/analyst/archive', 'Administrator\AnalystController@archive')
            ->name('analyst.archive');
        Route::get('/analyst/archive/sort/{value}/{where}', 'Administrator\AnalystController@archiveSort')
            ->name('analyst.archive.sort');
        Route::get('/analyst/archive/delete', 'Administrator\AnalystController@archiveDelete')
            ->name('analyst.archive.delete');

        Route::patch('/analyst/archive/chosen', 'Administrator\AnalystController@archiveChosen')
            ->name('analyst.archive.delete-chosen');


        Route::get('/analyst', 'Administrator\AnalystController@index')
            ->name('analyst.index');
        Route::get('/analyst/sort/{value}/{where}', 'Administrator\AnalystController@sort')
            ->name('analyst.sort');
        Route::get('/analyst/look/{value}/{look}', 'Administrator\AnalystController@look')
            ->name('analyst.look');
        Route::get('/analyst/by-date/{key}', 'Administrator\AnalystController@byDate')
            ->name('analyst.by-date');

        Route::get('/analyst/custom-analyst', 'Administrator\AnalystController@custom')
            ->name('analyst.custom-analyst');
        Route::get('/analyst/custom-analyst/sort/{analystCustom}/{value}/{where}', 'Administrator\AnalystController@customSort')
            ->name('analyst.custom-analyst.sort');
        Route::post('/analyst/custom-analyst', 'Administrator\AnalystController@customStore')
            ->name('analyst.custom-analyst.store');
        Route::get('/analyst/custom-analyst/{analystCustom}', 'Administrator\AnalystController@customShow')
            ->name('analyst.custom-analyst.show');
        Route::delete('/analyst/custom-analyst/{analystCustom}', 'Administrator\AnalystController@customDelete')
            ->name('analyst.custom-analyst.delete');

        Route::get('/analyst/in-progress', 'Administrator\AnalystController@inProgress')
            ->name('analyst.in-progress');

        //counters

        Route::get('/counter/index/{key}', 'Administrator\CountsController@index')
            ->name('counter.index');
        Route::get('/counter/by/{countType}/{key}', 'Administrator\CountsController@by')
            ->name('counter.by');

app/Http/Controllers/Users/PasswordController.php
<?php

namespace App\Http\Controllers\Users;

use App\Http\Controllers\Controller;
use App\Repositories\TrafficRepositoryInterface;
use App\Repositories\UsersRepositoryInterface;
use App\User;
use Illuminate\Http\Request;

class PasswordController extends Controller
{

    /**
     * @var TrafficRepositoryInterface
     */
    private $trafficRepository;
    /**
     * @var UsersRepositoryInterface
     */
    private $usersRepository;

    public function  __construct(TrafficRepositoryInterface $trafficRepository,
                                 UsersRepositoryInterface $usersRepository)
    {
        $this->trafficRepository = $trafficRepository;
        $this->usersRepository = $usersRepository;
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $action = 'index';
        $this->trafficRepository->getRemoteAddress($action);

        return redirect()->route('users.profile.index');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $action = 'create';
        $this->trafficRepository->getRemoteAddress($action);

        return redirect()->route('users.profile.index');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $action = 'store';
        $this->trafficRepository->getRemoteAddress($action);

        return redirect()->route('users.profile.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\User  $user
     * @return \Illuminate\Http\Response
     */
    public function show(User $user)
    {
        $action = 'show';
        $this->trafficRepository->getRemoteAddress($action);

        return redirect()->route('users.profile.index');
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\User  $user
     * @return \Illuminate\Http\Response
     */
    public function edit(User $user)
    {
        $action = 'edit';
        $this->trafficRepository->getRemoteAddress($action);

        $profile = $this->usersRepository->returnProfile();
        $user = $this->usersRepository->returnUser();

        return view('users.password.edit')->with(
            [
                'user' => $user,
                'profile' => $profile,

            ]
        );

    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\User  $user
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, User $user)
    {
        $action = 'update';
        $this->trafficRepository->getRemoteAddress($action);

        $update = $this->usersRepository->changePassword($request);

        if ($update === TRUE) {
            $request->session()->flash('success', 'The password is changed successfully!');
        } else {
            $request->session()->flash('danger', 'There was an error updating the password');
        }
        return redirect()->route('users.profile.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\User  $user
     * @return \Illuminate\Http\Response
     */
    public function destroy(User $user)
    {
        $action = 'destroy';
        $this->trafficRepository->getRemoteAddress($action);

        return redirect()->route('users.profile.index');
    }
}

app/Http/Controllers/Users/ProfilesController.php
<?php

namespace App\Http\Controllers\Users;

use App\Http\Controllers\Controller;
use App\Models\Image;
use App\Models\Profile;
use App\Repositories\ProfilesRepositoryInterface;
use App\Repositories\TrafficRepositoryInterface;
use App\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class ProfilesController extends Controller
{
    private $trafficRepository;
    /**
     * @var ProfilesRepositoryInterface
     */
    private $profilesRepository;

    public function __construct(TrafficRepositoryInterface $trafficRepository,
                                ProfilesRepositoryInterface $profilesRepository)
    {
        $this->trafficRepository = $trafficRepository;
        $this->profilesRepository = $profilesRepository;
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $action = 'index';
        $this->trafficRepository->getRemoteAddress($action);

        $user = $this->profilesRepository->getAuthUser();
        $profile = $this->profilesRepository->getMyProfile($user->id);

        return view('users.profile.index')->with(
            [
                'user' => $user,
                'profile' => $profile,
            ]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\Profile  $profile
     * @return \Illuminate\Http\Response
     */
    public function show(Profile $profile)
    {
        $action = 'show';
        $traffic = $this->trafficRepository->getRemoteAddress($action);
        dd($traffic);
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\Profile  $profile
     * @return \Illuminate\Http\Response
     */
    public function edit(Profile $profile)
    {
        $action = 'index';
        $this->trafficRepository->getRemoteAddress($action);

        $user = $this->profilesRepository->getAuthUser();
        return view('users.profile.edit')->with(
            [
                'user' => $user,
                'profile' => $profile,
            ]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\Profile  $profile
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Profile $profile)
    {
        $action = 'index';
        $this->trafficRepository->getRemoteAddress($action);

        $this->profilesRepository->updateMyProfile($profile, $request);

        return redirect()->route('users.profile.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\Profile  $profile
     * @return \Illuminate\Http\Response
     */
    public function destroy(Profile $profile)
    {
        //
    }
}

resources/views/users/users/create.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header">Register new user</div>

                <div class="card-body">
                    <form method="POST" action="{{ route('users.users.store') }}">
                        @csrf

                        <div class="form-group row">
                            <label for="username" class="col-md-4 col-form-label text-md-right">{{ __('Username') }}</label>

                            <div class="col-md-6">
                                <input id="username" type="text" class="form-control @error('name') is-invalid @enderror" name="username" value="{{ old('username') }}" required autocomplete="username" autofocus>

                                @error('username')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="email" class="col-md-4 col-form-label text-md-right">{{ __('E-Mail Address') }}</label>

                            <div class="col-md-6">
                                <input id="email" type="email" class="form-control @error('email') is-invalid @enderror" name="email" value="{{ old('email') }}" required autocomplete="email">

                                @error('email')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="password" class="col-md-4 col-form-label text-md-right">{{ __('Password') }}</label>

                            <div class="col-md-6">
                                <input id="password" type="password" class="form-control @error('password') is-invalid @enderror" name="password" required autocomplete="new-password">

                                @error('password')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="password-confirm" class="col-md-4 col-form-label text-md-right">{{ __('Confirm Password') }}</label>

                            <div class="col-md-6">
                                <input id="password-confirm" type="password" class="form-control" name="password_confirmation" required autocomplete="new-password">
                            </div>
                        </div>

                        <div class="form-group row">
                            @foreach($roles as $role)
                                <div class="col-md-6 offset-md-4">
                                    <input type="radio" name="role" id="role" value="{{ $role->id }}">
                                    <label for="role">
                                        {{$role->role}}
                                    </label>
                                </div>
                            @endforeach
                                @error('role')
                                <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                        </div>

                        <div class="form-group row mb-0">
                            <div class="col-md-6 offset-md-4">
                                <button type="submit" class="btn btn-primary">
                                    Register
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

resources/views/users/users/edit.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header" align="center">
                    <div class="d-flex justify-content-between">
                        <div>
                            <h6>
                                <a href="{{ route('users.users.index') }}">
                                    <--
                                </a>
                            </h6>
                        </div>
                        <div>
                            Edit user {{ $user->username }}
                        </div>
                        <div>
                            *
                        </div>
                    </div>
                </div>
            </div>
            <div class="card-header" align="center">
                {{$user->username}}'s information:
            </div>
            <form action="{{ route('users.users.update', $user->id) }}" method="POST">
                @csrf
                {{ method_field('PATCH') }}
            <div class="card-body" align="center">
                <div align="center">
                    <label for="username">Username:</label>
                    <br>
                    <input class="w-75" id="username" name="username" placeholder="{{ $user->username }}" value="{{$user->username}}">
                </div>
                <div align="center">
                    <label for="email">Email:</label>
                    <br>
                    <input class="w-75" id="email" name="email" placeholder="{{ $user->email }}" value="{{$user->email}}">
                </div>
            </div>

            <div class="card-header" align="center">
                Roles
            </div>
                <div class="card-body">
                        @foreach($roles as $role)
                            <div class="form-check" align="center">
                                <input id="role" type="radio" name="role" value="{{ $role->id }}"
                                @if($user->roles->pluck('id')->contains($role->id))
                                    checked
                                @endif
                                >
                                <label for="role">
                                    {{ $role->role }}
                                </label>
                            </div>
                        @endforeach
                        <div align="center">
                            <button type="submit" class="btn btn-success">
                                Edit
                            </button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

resources/views/users/users/index.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header" align="center">
                    <div class="d-flex justify-content-between">
                        <div>
                            <h6>
                                <a href="{{ route('administrator.administrator.index') }}">
                                    <--
                                </a>
                            </h6>
                        </div>
                        <div>
                            Users
                        </div>
                        <div>
                            *
                        </div>
                    </div>
                    <hr />
                    <div class="d-flex justify-content-center">
                        <a href="{{ route('users.users.create') }}">
                            <button type="button" class="btn btn-primary">
                                Register new user
                            </button>
                        </a>
                    </div>
                </div>
                <div class="card-body">
                    <table class="table">
                        <thead class="thead-light">
                        <tr>
                            <th scope="col">#</th>
                            <th scope="col">Username</th>
                            <th scope="col">Email</th>
                            <th scope="col">Role</th>
                            <th scope="col">Actions</th>
                            <th scope="col">Profile</th>
                        </tr>
                        </thead>
                        <tbody>
                            @foreach($users as $user)
                                <tr>
                                <th scope="row">{{ $user->id }}</th>
                                <td>
                                    <a href="">
                                        {{ $user->username }}
                                    </a>
                                </td>
                                <td>
                                    {{ $user->email }}
                                </td>
                                 <td>
                                    {{ implode(', ', $user->roles()->get()->pluck('role')->toArray())}}
                                </td>
                                 <td>
                                     <a href="{{ route('users.users.edit',$user->id) }}" class="float-left">
                                         <button type="button" class="btn btn-dark">Edit</button>
                                     </a>
                                     <form action="{{ route('users.users.destroy',$user->id) }}" method="POST" class="float-left">
                                         @csrf
                                         {{ method_field('DELETE') }}
                                         <button onclick="alert('Are you sure?')" type="submit" class="btn btn-warning">Delete</button>
                                     </form>
                                </td>
                                <td>
                                    <a href="{{route('users.profile.show',$user->id)}}">Profile</a>
                                </td>
                                </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection